var div_move	=	0;
var IE = document.all?true:false;
var tempX,tempY,oldX,oldY;
var have_move	=	0;
function grasp()
{
	div_move	=	1;
	if(IE)
	{
		document.getElementById("source_div").setCapture();
	}
}

function free()
{
	div_move	=	0;
	have_move	=	0;
	if(IE)
	{
		document.getElementById("source_div").releaseCapture();
	}
}

function getMouseXY(e)
{
	if (IE)
	{ // grab the x-y pos.s if browser is IE
		tempX = event.clientX + document.body.scrollLeft
		tempY = event.clientY + document.body.scrollTop
	}
	else
	{
		// grab the x-y pos.s if browser is NS
		tempX = e.pageX
		tempY = e.pageY
	}	
	// catch possible negative values in NS4
	if (tempX < 0){tempX = 0}
	if (tempY < 0){tempY = 0}	
}

function move_it(e)
{
	getMouseXY(e);
	if(div_move	==	1)
	{
		if(have_move	==	0)
		{
			//alert('a');
			oldX	=	tempX;
			oldY	=	tempY;
			have_move	=	1;
		}
		var left	=	parseInt(document.getElementById("source_div").style.left);
		var top		=	parseInt(document.getElementById("source_div").style.top);
		//alert(top);
		//alert(left);
		//alert(tempX);
		//alert(oldX);

		document.getElementById("source_div").style.left	=	(left	+	tempX	-	oldX)	+	'px';
		document.getElementById("source_div").style.top	=	(top	+	tempY	-	oldY)	+	'px';
		oldX	=	tempX;
		oldY	=	tempY;
	}
}

function change_size(method)
{
	if(method	==	1)
	{
		var per	=	1.25;
	}
	else
	{
		var per	=	0.8;
	}
	document.getElementById("show_img").width	=	document.getElementById("show_img").width*per;
	//document.getElementById("show_img").height	=	document.getElementById("show_img").height*per;
}

function load_move()
{
	var left	=	parseInt(document.getElementById("source_div").style.left);
	document.getElementById("source_div").style.left	=	left	+	150;
}

function micro_move(method)
{
	switch (method)
	{
		case "up":
			var top	=	parseInt(document.getElementById("source_div").style.top);
			document.getElementById("source_div").style.top	=	top	-	5;
			break;
		case "down":
			var top	=	parseInt(document.getElementById("source_div").style.top);
			document.getElementById("source_div").style.top	=	top	+	5;
			break;
		case "left":
			var left	=	parseInt(document.getElementById("source_div").style.left);
			document.getElementById("source_div").style.left	=	left	-	5;
			break;
		case "right":
			var left	=	parseInt(document.getElementById("source_div").style.left);
			document.getElementById("source_div").style.left	=	left	+	5;

			break;
	}
}

function turn(method)
{
	var i=document.getElementById('show_img').style.filter.match(/\d/)[0]
	//alert(i);
	i=parseInt(i)+parseInt(method);
	//alert(i);
	if(i<0)
	{
		i	+=	4;
	}
	if(i>=4)
	{
		i	-=	4;
	}
	//alert(i);
	document.getElementById('show_img').style.filter='progid:DXImageTransform.Microsoft.BasicImage(Rotation='+i+')';
}

function mysub()
{
	if(document.getElementById("show_img").src.indexOf('photocat.jpg')>0)
	{
		alert('温馨提示：\n\n请先选择一张照片！');
		return;
	}
	
	//var Oform =	document.myform;
	//Oform.width.value	=	document.getElementById("show_img").width;
	//Oform.left.value	=	document.getElementById("source_div").style.left;
	//Oform.top.value	=	document.getElementById("source_div").style.top;
	//if(IE)
	//{
		//Oform.turn.value	=	document.getElementById('show_img').style.filter.match(/\d/)[0];
	//}
	//Oform.submit();
	//document.getElementById("show_ava").width=document.getElementById("show_img").width;
	var left	=	parseInt(document.getElementById("source_div").style.left);
	var top		=	parseInt(document.getElementById("source_div").style.top);
	var dizhi,kuandu,zuobian,dingbu,fangxiang
	dizhi = document.getElementById('show_img').src;
	kuandu = document.getElementById("show_img").width;
	zuobian = (left - 104) + 'px';
	dingbu = (top - 57) + 'px';
	fangxiang = document.getElementById('show_img').style.filter

	window.parent.catphoto2.xianshicat(dizhi,kuandu,zuobian,dingbu,fangxiang);
	
}

function get_sc_width()
{
	document.getElementById('scwidth').value	=	screen.width;
}

function myreview()
{
	location.href="#review";
}